org.apache.hadoop.hdfs.server.diskbalancer

## Class DiskBalancerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hadoop.hdfs.server.diskbalancer.DiskBalancerException

- All Implemented Interfaces:
    Serializable

      public class DiskBalancerException
      extends IOException

  Disk Balancer Exceptions.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DiskBalancerException.Result` Results returned by the RPC layer of DiskBalancer.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskBalancerException(String message, DiskBalancerException.Result result)` Constructs an `IOException` with the specified detail message.
    `DiskBalancerException(String message, Throwable cause, DiskBalancerException.Result result)` Constructs an `IOException` with the specified detail message and cause.
    `DiskBalancerException(Throwable cause, DiskBalancerException.Result result)` Constructs an `IOException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DiskBalancerException.Result` | `getResult()` Returns the result.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DiskBalancerException

          public DiskBalancerException(String message,
                                       DiskBalancerException.Result result)

      Constructs an `IOException` with the specified detail message.
      Parameters:
        `message` - The detail message (which is saved for later retrieval by the `Throwable.getMessage()` method)

    - #### DiskBalancerException

          public DiskBalancerException(String message,
                                       Throwable cause,
                                       DiskBalancerException.Result result)

      Constructs an `IOException` with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated into this exception's detail message.

      Parameters:
        `message` - The detail message (which is saved for later retrieval by the `Throwable.getMessage()` method)
        `cause` - The cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### DiskBalancerException

          public DiskBalancerException(Throwable cause,
                                       DiskBalancerException.Result result)

      Constructs an `IOException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for IO exceptions that are little more than wrappers for other throwables.
      Parameters:
        `cause` - The cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

  - ### Method Detail

    - #### getResult

          public DiskBalancerException.Result getResult()

      Returns the result.
      Returns:
        int

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.